# Proprietary program - no debug info
%define debug_package %{nil}
%define _enable_debug_packages %{nil}

%global __provides_exclude libsane.*

Name:		panamfs-scan
Version:	1.3.1
Release:	%mkrel 1
Group:		System/Printing
Summary:	Panasonic Multi-Function Station Scanner
License:	Proprietary
URL:		https://panasonic.net/cns/pcc/support/fax/common/table/linuxdriver.html
Source0:	https://www.psn-web.net/cs/support/fax/common/file/Linux_ScanDriver/panamfs-scan-%{version}-i686.tar.gz
Source1:	https://www.psn-web.net/cs/support/fax/common/file/Linux_ScanDriver/panamfs-scan-%{version}-x86_64.tar.gz
Source100:	%{name}.rpmlintrc
Patch0:		panamfs-scan-1.3.1-i686-destdir.patch
Patch1:		panamfs-scan-1.3.1-x86_64-destdir.patch
Requires:	sane
Requires(post,preun):	sane-backends
BuildRequires:	sane
BuildRequires:	sane-backends
#ExclusiveArch:	%{ix86} %{x86_64}

%description
Panasonic Multi-Function Station Scanner.

%prep
# % setup -qTc
%ifarch %{ix86}
%setup -b0 -n %{name}-%{version}-i686
%patch0 -p1
%else
%setup -b1 -n %{name}-%{version}-x86_64
%patch1 -p1
%endif

%build

%install
mkdir -p %{buildroot}%{_libdir}/sane
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/etc/rc2.d
mkdir -p %{buildroot}/etc/rc3.d
mkdir -p %{buildroot}/etc/rc4.d
mkdir -p %{buildroot}/etc/rc5.d
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/xdg/autostart/
mkdir -p %{buildroot}/etc/sane.d

DESTDIR=%{buildroot} ./install-driver

sed -i 's#/usr/local#/usr#' %{buildroot}%{_datadir}/applications/PanasonicMFSTools.desktop

%post
sed -i 's/^panamfs$//' ${DESTDIR}/etc/sane.d/dll.conf
echo "panamfs" >> ${DESTDIR}/etc/sane.d/dll.conf

%preun
sed -i 's/^panamfs$//' ${DESTDIR}/etc/sane.d/dll.conf

%files
%{_bindir}/*
%{_libdir}/sane/*
%{_datadir}/panasonic/scanner
%{_datadir}/applications/*
/etc/xdg/autostart/*
/etc/sane.d/*
/etc/init.d/*
/etc/rc2.d/*
/etc/rc3.d/*
/etc/rc4.d/*
/etc/rc5.d/*
